Skip to main content

Get Liquidation Price

Calculate the estimated liquidation price for a proposed position based on position size, leverage, and market conditions.

HTTP Request

GET /api/v1/future/account/liq-price

Request Parameters

ParameterTypeRequiredDescription
symbolstringYesTrading pair symbol (e.g., BTCUSDT)
posSidestringYesPosition side: "LONG" or "SHORT"
orderTypestringYesOrder type: "LIMIT" or "MARKET"
openAmountstringYesPosition size to open
openPricestringNoOpening price (required when orderType is "LIMIT")

Request Example

Market Order Request

curl -X GET "https://open-api.bydoxe.com/api/v1/future/account/liq-price?symbol=BTCUSDT&posSide=LONG&orderType=MARKET&openAmount=0.5" \
-H "ACCESS-KEY: your-api-key" \
-H "ACCESS-SIGN: your-signature" \
-H "ACCESS-PASSPHRASE: your-passphrase" \
-H "ACCESS-TIMESTAMP: 1659076670000"

Limit Order Request

curl -X GET "https://open-api.bydoxe.com/api/v1/future/account/liq-price?symbol=BTCUSDT&posSide=LONG&orderType=LIMIT&openAmount=0.5&openPrice=90000.00" \
-H "ACCESS-KEY: your-api-key" \
-H "ACCESS-SIGN: your-signature" \
-H "ACCESS-PASSPHRASE: your-passphrase" \
-H "ACCESS-TIMESTAMP: 1659076670000"

Response Parameters

ParameterTypeDescription
codestringResponse code
msgstringResponse message
requestTimenumberRequest timestamp in milliseconds
dataobjectLiquidation price data
> liqPricestringEstimated liquidation price for the position

Response Example

Success Response

{
"code": "00000",
"msg": "success",
"requestTime": 1732000000000,
"data": {
"liqPrice": "81000.00"
}
}

Error Codes

CodeMessage
40034symbol does not exist
40001Order price is required
40001Order amount is too large
40001Insufficient balance
40002Order price decimal precision is too high
40002Order amount decimal precision is too high